aboutsummaryrefslogtreecommitdiffstats
path: root/main/icecast/icecast.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/icecast/icecast.initd')
-rw-r--r--main/icecast/icecast.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/main/icecast/icecast.initd b/main/icecast/icecast.initd
new file mode 100644
index 0000000000..b30027b2fe
--- /dev/null
+++ b/main/icecast/icecast.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting Icecast 2"
+ start-stop-daemon --start --exec /usr/bin/icecast \
+ -- ${ICEC_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Icecast 2"
+ start-stop-daemon --stop --exec /usr/bin/icecast
+ eend $?
+}